require 'source/utils/text'

-- WORLD 2: ORANGE

levels[11] = {
	{ name = "wall", arguments = {0, 0, 3400, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1100} },
	{ name = "wall", arguments = {2400, 1000, 1000, 1100} },
	{ name = "wall", arguments = {0, 2100, 3400, 1000} },
	{ name = "wall", arguments = {1000, 1000, 200, 250} },
	{ name = "wall", arguments = {2200, 1000, 200, 250} },
	{ name = "wall", arguments = {1000, 1850, 200, 250} },
	{ name = "wall", arguments = {2200, 1850, 200, 250} },
	{ name = "wall", arguments = {1400, 1200, 600, 50} },
	{ name = "wall", arguments = {1600, 1250, 200, 600} },
	{ name = "wall", arguments = {1400, 1850, 600, 250} },
	{ name = "wall", arguments = {1100, 1350, 100, 100} },
	{ name = "wall", arguments = {1400, 1350, 100, 100} },
	{ name = "wall", arguments = {1100, 1650, 100, 100} },
	{ name = "wall", arguments = {1400, 1650, 100, 100} },
	{ name = "wall", arguments = {1900, 1350, 100, 100} },
	{ name = "wall", arguments = {2200, 1350, 100, 100} },
	{ name = "wall", arguments = {1900, 1650, 100, 100} },
	{ name = "wall", arguments = {2200, 1650, 100, 100} },
	{ name = "spark", arguments = {1550, 1800} },
	{ name = "spark", arguments = {1450, 1550} },
	{ name = "spark", arguments = {1300, 1550} },
	{ name = "spark", arguments = {1150, 1550} },
	{ name = "spark", arguments = {1050, 1300} },
	{ name = "spark", arguments = {1300, 1220} },
	{ name = "spark", arguments = {2100, 1220} },
	{ name = "spark", arguments = {1950, 1550} },
	{ name = "spark", arguments = {2250, 1550} },
	{ name = "circle", arguments = {1000, 1700, 75} },
	{ name = "circle", arguments = {1300, 1700, 75} },
	{ name = "circle", arguments = {1300, 1400, 75} },
	{ name = "circle", arguments = {1600, 1400, 75} },
	{ name = "circle", arguments = {2100, 1400, 50} },
	{ name = "circle", arguments = {2100, 1550, 75} },
	{ name = "circle", arguments = {2100, 1700, 50} },
	{ name = "text", arguments = {text[11][1][1], 1700, 1155, text[11][1][2]} },
	{ name = "finish", arguments = {2100, 1975} },
	{ name = "player", arguments = {1300, 1995} }
}

levels[12] = {
	{ name = "wall", arguments = {0, 0, 3600, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1350} },
	{ name = "wall", arguments = {2600, 1000, 1000, 1350} },
	{ name = "wall", arguments = {0, 2350, 3600, 1000} },
	{ name = "wall", arguments = {1200, 1300, 100, 1050} },
	{ name = "wall", arguments = {1200, 1200, 1200, 100} },
	{ name = "wall", arguments = {2300, 1300, 100, 750} },
	{ name = "wall", arguments = {1450, 2050, 950, 100} },
	{ name = "wall", arguments = {1450, 1450, 200, 600} },
	{ name = "wall", arguments = {1450, 1000, 100, 50} },
	{ name = "wall", arguments = {1450, 1150, 100, 50} },
	{ name = "wall", arguments = {2050, 1000, 100, 50} },
	{ name = "wall", arguments = {2050, 1150, 100, 50} },
	{ name = "wall", arguments = {1613, 2300, 100, 50} },
	{ name = "wall", arguments = {2013, 2300, 100, 50} },
	{ name = "wall", arguments = {1650, 1950, 100, 100} },
	{ name = "wall", arguments = {2200, 1950, 100, 100} },
	{ name = "spark", arguments = {1100, 1755} },
	{ name = "spark", arguments = {1100, 1600} },
	{ name = "spark", arguments = {1100, 1445} },
	{ name = "spark", arguments = {1215, 1050} },
	{ name = "spark", arguments = {1500, 1100} },
	{ name = "spark", arguments = {2100, 1100} },
	{ name = "spark", arguments = {2385, 1115} },
	{ name = "spark", arguments = {2500, 1445} },
	{ name = "spark", arguments = {2500, 1600} },
	{ name = "spark", arguments = {2500, 1755} },
	{ name = "spark", arguments = {2385, 2300} },
	{ name = "spark", arguments = {1465, 2288} },
	{ name = "spark", arguments = {1375, 1910} },
	{ name = "spark", arguments = {1375, 1755} },
	{ name = "spark", arguments = {1375, 1600} },
	{ name = "spark", arguments = {1805, 1675} },
	{ name = "spark", arguments = {1975, 1675} },
	{ name = "spark", arguments = {2145, 1675} },
	{ name = "circle", arguments = {1000, 1975, 75} },
	{ name = "sizecircle", arguments = {1200, 1200, 75, 100, 75} },
	{ name = "sizecircle", arguments = {2600, 1000, 50, 100, 50} },
	{ name = "sizecircle", arguments = {2600, 2350, 50, 100, 75} },
	{ name = "circle", arguments = {2300, 2150, 100} },
	{ name = "sizecircle", arguments = {1450, 2150, 50, 75, 75} },
	{ name = "circle", arguments = {1450, 1300, 75} },
	{ name = "circle", arguments = {1650, 1450, 75} },
	{ name = "text", arguments = {text[12][1][1], 1800, 1160, text[12][1][2]} },
	{ name = "text", arguments = {text[12][2][1], 1863, 2310, text[12][2][2]} },
	{ name = "text", arguments = {text[12][3][1], 2013, 1470, text[12][3][2]} },
	{ name = "finish", arguments = {1975, 1875} },
	{ name = "player", arguments = {1100, 2220} }
}

levels[13] = {
	{ name = "wall", arguments = {0, 0, 3600, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1800} },
	{ name = "wall", arguments = {2600, 1000, 1000, 1800} },
	{ name = "wall", arguments = {0, 2800, 3600, 1000} },
	{ name = "wall", arguments = {1000, 1000, 400, 1300} },
	{ name = "wall", arguments = {1000, 2500, 400, 300} },
	{ name = "wall", arguments = {1200, 2300, 200, 50} },
	{ name = "wall", arguments = {1200, 2450, 200, 50} },
	{ name = "wall", arguments = {1400, 1000, 100, 100} },
	{ name = "wall", arguments = {1400, 1800, 350, 200} },
	{ name = "wall", arguments = {1400, 2000, 200, 200} },
	{ name = "wall", arguments = {1600, 2000, 100, 100} },
	{ name = "wall", arguments = {1850, 1800, 350, 200} },
	{ name = "wall", arguments = {2000, 1600, 200, 200} },
	{ name = "wall", arguments = {2100, 1500, 100, 100} },
	{ name = "wall", arguments = {2100, 2700, 100, 100} },
	{ name = "wall", arguments = {2200, 1000, 200, 350} },
	{ name = "wall", arguments = {2200, 1450, 200, 1350} },
	{ name = "wall", arguments = {2400, 1000, 200, 300} },
	{ name = "wall", arguments = {2400, 1500, 200, 1300} },
	{ name = "spark", arguments = {1471, 2400} },
	{ name = "spark", arguments = {1531, 2665} },
	{ name = "spark", arguments = {1800, 2725} },
	{ name = "spark", arguments = {2065, 2665} },
	{ name = "spark", arguments = {2125, 2400} },
	{ name = "spark", arguments = {1800, 2000} },
	{ name = "spark", arguments = {1471, 1400} },
	{ name = "spark", arguments = {1531, 1135} },
	{ name = "spark", arguments = {1800, 1075} },
	{ name = "spark", arguments = {2065, 1135} },
	{ name = "spark", arguments = {2125, 1400} },
	{ name = "circle", arguments = {1800, 2400, 250} },
	{ name = "sizecircle", arguments = {1800, 1400, 200, 350, 200} },
	{ name = "text", arguments = {text[13][1][1], 1800, 1820, text[13][1][2]} },
	{ name = "finish", arguments = {2500, 1400} },
	{ name = "player", arguments = {1100, 2470} }
}

levels[14] = {
	{ name = "wall", arguments = {0, 0, 3700, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1000} },
	{ name = "wall", arguments = {2700, 1000, 1000, 1100} },
	{ name = "wall", arguments = {0, 2000, 3700, 1000} },
	{ name = "wall", arguments = {1400, 1000, 800, 100} },
	{ name = "wall", arguments = {1350, 1950, 50, 50} },
	{ name = "wall", arguments = {1400, 1900, 1100, 100} },
	{ name = "wall", arguments = {2300, 1800, 100, 100} },
	{ name = "wall", arguments = {2400, 1450, 100, 450} },
	{ name = "wall", arguments = {2300, 1400, 100, 100} },
	{ name = "wall", arguments = {2200, 1350, 100, 100} },
	{ name = "wall", arguments = {1400, 1300, 800, 100} },
	{ name = "wall", arguments = {1700, 1250, 200, 50} },
	{ name = "wall", arguments = {1700, 1400, 200, 50} },
	{ name = "wall", arguments = {1400, 1400, 100, 200} },
	{ name = "wall", arguments = {1350, 1600, 850, 100} },
	{ name = "wall", arguments = {1700, 1550, 200, 50} },
	{ name = "wall", arguments = {1700, 1700, 200, 50} },
	{ name = "wall", arguments = {2100, 1550, 100, 50} },
	{ name = "wall", arguments = {1000, 1000, 100, 100} },
	{ name = "wall", arguments = {1000, 1100, 50, 50} },
	{ name = "wall", arguments = {1050, 1450, 200, 200} },
	{ name = "spark", arguments = {2600, 1700} },
	{ name = "spark", arguments = {2615, 1085} },
	{ name = "spark", arguments = {1980, 1200} },
	{ name = "spark", arguments = {1800, 1200} },
	{ name = "spark", arguments = {1620, 1200} },
	{ name = "spark", arguments = {1285, 1185} },
	{ name = "spark", arguments = {1300, 1550} },
	{ name = "spark", arguments = {1085, 1940} },
	{ name = "spark", arguments = {1680, 1800} },
	{ name = "spark", arguments = {1800, 1800} },
	{ name = "spark", arguments = {1920, 1800} },
	{ name = "spark", arguments = {2050, 1500} },
	{ name = "circle", arguments = {2500, 1200, 75} },
	{ name = "sizecircle", arguments = {2655, 1200, 25, 40, 25} },
	{ name = "circle", arguments = {2400, 1450, 100} },
	{ name = "circle", arguments = {1800, 1050, 100} },
	{ name = "circle", arguments = {1400, 1000, 100} },
	{ name = "circle", arguments = {1400, 1300, 75} },
	{ name = "circle", arguments = {1400, 1600, 50} },
	{ name = "sizecircle", arguments = {1050, 1200, 25, 40, 25} },
	{ name = "circle", arguments = {1200, 1825, 75} },
	{ name = "sizecircle", arguments = {1050, 1825, 25, 40, 25} },
	{ name = "circle", arguments = {1800, 1950, 100} },
	{ name = "sizecircle", arguments = {2250, 1850, 25, 40, 25} },
	{ name = "sizecircle", arguments = {2100, 1600, 50, 75, 55} },
	{ name = "sizecircle", arguments = {1900, 1400, 50, 75, 70} },
	{ name = "text", arguments = {text[14][1][1], 2600, 1470, text[14][1][2]} },
	{ name = "text", arguments = {text[14][2][1], 1150, 1410, text[14][2][2]} },
	{ name = "finish", arguments = {1595, 1500} },
	{ name = "player", arguments = {2600, 1920} }
}

levels[15] = {
	{ name = "wall", arguments = {0, 0, 3500, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 2200} },
	{ name = "wall", arguments = {2500, 1000, 1000, 2200} },
	{ name = "wall", arguments = {0, 3200, 3500, 1000} },
	{ name = "wall", arguments = {1000, 1600, 500, 200} },
	{ name = "wall", arguments = {1000, 1800, 450, 600} },
	{ name = "wall", arguments = {1000, 2400, 500, 200} },
	{ name = "wall", arguments = {1000, 2600, 50, 50} },
	{ name = "wall", arguments = {1000, 3100, 100, 100} },
	{ name = "wall", arguments = {1250, 1000, 100, 50} },
	{ name = "wall", arguments = {1250, 1550, 100, 50} },
	{ name = "wall", arguments = {1600, 1000, 300, 800} },
	{ name = "wall", arguments = {1600, 2000, 300, 250} },
	{ name = "wall", arguments = {1600, 2400, 300, 800} },
	{ name = "wall", arguments = {1900, 1000, 50, 50} },
	{ name = "wall", arguments = {1900, 2850, 50, 100} },
	{ name = "wall", arguments = {2000, 1600, 500, 200} },
	{ name = "wall", arguments = {2000, 2400, 500, 200} },
	{ name = "wall", arguments = {2050, 1800, 450, 600} },
	{ name = "wall", arguments = {2400, 1000, 100, 100} },
	{ name = "wall", arguments = {2450, 2850, 50, 100} },
	{ name = "spark", arguments = {1550, 1700} },
	{ name = "spark", arguments = {1950, 1700} },
	{ name = "spark", arguments = {1550, 2500} },
	{ name = "spark", arguments = {1950, 2500} },
	{ name = "spark", arguments = {1215, 1465} },
	{ name = "spark", arguments = {1300, 1305} },
	{ name = "spark", arguments = {1385, 1150} },
	{ name = "spark", arguments = {2025, 1305} },
	{ name = "spark", arguments = {2200, 1480} },
	{ name = "spark", arguments = {2375, 1305} },
	{ name = "spark", arguments = {1125, 2900} },
	{ name = "spark", arguments = {1300, 2725} },
	{ name = "spark", arguments = {1475, 2900} },
	{ name = "spark", arguments = {2035, 2985} },
	{ name = "spark", arguments = {2200, 2900} },
	{ name = "spark", arguments = {2365, 2815} },
	{ name = "circle", arguments = {2250, 2600, 200} },
	{ name = "circle", arguments = {2150, 3200, 200} },
	{ name = "circle", arguments = {1300, 2900, 150} },
	{ name = "sizecircle", arguments = {2200, 1305, 50, 150, 50} },
	{ name = "sizecircle", arguments = {1000, 1350, 150, 235, 175} },
	{ name = "sizecircle", arguments = {1600, 1255, 150, 235, 225} },
	{ name = "text", arguments = {text[15][1][1], 1300, 3160, text[15][1][2]} },
	{ name = "text", arguments = {text[15][2][1], 2200, 1120, text[15][2][2]} },
	{ name = "finish", arguments = {1750, 1925} },
	{ name = "player", arguments = {1750, 2345} }
}

levels[16] = {
	{ name = "wall", arguments = {0, 0, 3200, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 2200} },
	{ name = "wall", arguments = {2200, 1000, 1000, 2200} },
	{ name = "wall", arguments = {0, 3200, 3200, 1000} },
	{ name = "wall", arguments = {1200, 2200, 1000, 1000} },
	{ name = "wall", arguments = {1200, 1200, 800, 800} },
	{ name = "wall", arguments = {1000, 2050, 50, 100} },
	{ name = "wall", arguments = {1150, 1700, 50, 100} },
	{ name = "wall", arguments = {1150, 1450, 50, 100} },
	{ name = "wall", arguments = {1350, 1150, 100, 50} },
	{ name = "wall", arguments = {1750, 1000, 100, 50} },
	{ name = "wall", arguments = {2000, 1400, 50, 100} },
	{ name = "wall", arguments = {2000, 1700, 50, 100} },
	{ name = "wall", arguments = {2150, 2050, 50, 100} },
	{ name = "spark", arguments = {1100, 2715} },
	{ name = "spark", arguments = {1100, 2461} },
	{ name = "spark", arguments = {1100, 2207} },
	{ name = "spark", arguments = {1100, 1750} },
	{ name = "spark", arguments = {1100, 1450} },
	{ name = "spark", arguments = {1100, 1125} },
	{ name = "spark", arguments = {2100, 1125} },
	{ name = "spark", arguments = {2100, 1450} },
	{ name = "spark", arguments = {2100, 1750} },
	{ name = "spark", arguments = {2100, 2100} },
	{ name = "spark", arguments = {1763, 2100} },
	{ name = "spark", arguments = {1413, 2100} },
	{ name = "sizecircle", arguments = {1200, 1925, 75, 90, 75} },
	{ name = "sizecircle", arguments = {1065, 1625, 25, 50, 50} },
	{ name = "sizecircle", arguments = {1000, 1275, 75, 125, 75} },
	{ name = "sizecircle", arguments = {1275, 1000, 75, 90, 75} },
	{ name = "sizecircle", arguments = {1925, 1200, 75, 90, 75} },
	{ name = "sizecircle", arguments = {2200, 1275, 75, 90, 75} },
	{ name = "sizecircle", arguments = {2065, 1625, 25, 50, 50} },
	{ name = "sizecircle", arguments = {2000, 1925, 75, 125, 75} },
	{ name = "sizecircle", arguments = {1925, 2200, 75, 90, 75} },
	{ name = "sizecircle", arguments = {1600, 2000, 75, 100, 75} },
	{ name = "text", arguments = {text[16][1][1], 1600, 1160, text[16][1][2]} },
	{ name = "finish", arguments = {1250, 2100} },
	{ name = "player", arguments = {1100, 2920} }
}

levels[17] = {
	{ name = "wall", arguments = {0, 0, 3000, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1900} },
	{ name = "wall", arguments = {2000, 1000, 1000, 1900} },
	{ name = "wall", arguments = {0, 2900, 3000, 1000} },
	{ name = "wall", arguments = {1000, 1000, 350, 300} },
	{ name = "wall", arguments = {1000, 1300, 450, 50} },
	{ name = "wall", arguments = {1550, 1300, 450, 50} },
	{ name = "wall", arguments = {1650, 1000, 350, 300} },
	{ name = "wall", arguments = {1200, 1550, 250, 50} },
	{ name = "wall", arguments = {1550, 1550, 250, 50} },
	{ name = "wall", arguments = {1150, 1600, 50, 100} },
	{ name = "wall", arguments = {1200, 1600, 50, 500} },
	{ name = "wall", arguments = {1750, 1600, 50, 500} },
	{ name = "wall", arguments = {1800, 1600, 50, 100} },
	{ name = "wall", arguments = {1150, 2000, 50, 100} },
	{ name = "wall", arguments = {1800, 2000, 50, 100} },
	{ name = "wall", arguments = {1200, 2100, 250, 200} },
	{ name = "wall", arguments = {1550, 2100, 250, 200} },
	{ name = "wall", arguments = {1000, 2400, 100, 100} },
	{ name = "wall", arguments = {1900, 2400, 100, 100} },
	{ name = "wall", arguments = {1000, 2500, 450, 400} },
	{ name = "wall", arguments = {1550, 2500, 450, 400} },
	{ name = "spark", arguments = {1500, 2400} },
	{ name = "spark", arguments = {1100, 2300} },
	{ name = "spark", arguments = {1100, 2150} },
	{ name = "spark", arguments = {1100, 1515} },
	{ name = "spark", arguments = {1900, 2300} },
	{ name = "spark", arguments = {1900, 2150} },
	{ name = "spark", arguments = {1900, 1515} },
	{ name = "spark", arguments = {1325, 2050} },
	{ name = "spark", arguments = {1325, 1850} },
	{ name = "spark", arguments = {1325, 1650} },
	{ name = "spark", arguments = {1675, 2050} },
	{ name = "spark", arguments = {1675, 1850} },
	{ name = "spark", arguments = {1675, 1650} },
	{ name = "sizecircle", arguments = {1000, 1350, 100, 125, 125} },
	{ name = "sizecircle", arguments = {2000, 1350, 100, 125, 125} },
	{ name = "circle", arguments = {1200, 1550, 50} },
	{ name = "circle", arguments = {1800, 1550, 50} },
	{ name = "sizecircle", arguments = {1000, 1850, 80, 110, 125} },
	{ name = "sizecircle", arguments = {1500, 1850, 100, 165, 125} },
	{ name = "sizecircle", arguments = {2000, 1850, 80, 110, 125} },
	{ name = "sizecircle", arguments = {1325, 2300, 100, 115, 100} },
	{ name = "sizecircle", arguments = {1675, 2300, 100, 115, 100} },
	{ name = "text", arguments = {text[17][1][1], 1500, 2120, text[17][1][2]} },
	{ name = "text", arguments = {text[17][2][1], 1500, 1510, text[17][2][2]} },
	{ name = "finish", arguments = {1500, 1175} },
	{ name = "player", arguments = {1500, 2820} }
}

levels[18] = {
	{ name = "wall", arguments = {0, 0, 4200, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 2200} },
	{ name = "wall", arguments = {3200, 1000, 1000, 2200} },
	{ name = "wall", arguments = {0, 3200, 4200, 1000} },
	{ name = "wall", arguments = {1600, 1000, 200, 250} },
	{ name = "wall", arguments = {2400, 1000, 200, 250} },
	{ name = "wall", arguments = {1600, 1350, 200, 700} },
	{ name = "wall", arguments = {2400, 1350, 200, 700} },
	{ name = "wall", arguments = {1000, 1600, 250, 200} },
	{ name = "wall", arguments = {1350, 1600, 250, 200} },
	{ name = "wall", arguments = {1800, 1600, 600, 200} },
	{ name = "wall", arguments = {2600, 1600, 250, 200} },
	{ name = "wall", arguments = {2950, 1600, 250, 200} },
	{ name = "wall", arguments = {1600, 2150, 200, 1050} },
	{ name = "wall", arguments = {2400, 2150, 200, 1050} },
	{ name = "wall", arguments = {1000, 2400, 250, 200} },
	{ name = "wall", arguments = {1350, 2400, 250, 200} },
	{ name = "wall", arguments = {1800, 2400, 250, 200} },
	{ name = "wall", arguments = {2150, 2400, 250, 200} },
	{ name = "wall", arguments = {2600, 2400, 600, 800} },
	{ name = "disswall", arguments = {1250, 2400, 100, 200} },
	{ name = "spark", arguments = {1350, 1350} },
	{ name = "spark", arguments = {1350, 2150} },
	{ name = "spark", arguments = {1925, 2100} },
	{ name = "spark", arguments = {2100, 2275} },
	{ name = "spark", arguments = {2275, 2100} },
	{ name = "spark", arguments = {3125, 2325} },
	{ name = "spark", arguments = {2850, 1350} },
	{ name = "spark", arguments = {1980, 1145} },
	{ name = "spark", arguments = {2100, 1145} },
	{ name = "spark", arguments = {2220, 1145} },
	{ name = "spark", arguments = {2040, 1235} },
	{ name = "spark", arguments = {2160, 1235} },
	{ name = "sizecircle", arguments = {1050, 1050, 200, 350, 200} },
	{ name = "circle", arguments = {1600, 1600, 200} },
	{ name = "circle", arguments = {2600, 1600, 200} },
	{ name = "sizecircle", arguments = {2750, 1150, 100, 150, 100} },
	{ name = "sizecircle", arguments = {3050, 1450, 100, 150, 150} },
	{ name = "sizecircle", arguments = {1450, 1950, 100, 150, 150} },
	{ name = "sizecircle", arguments = {1150, 2250, 100, 150, 100} },
	{ name = "sizecircle", arguments = {2900, 2100, 150, 200, 150} },
	{ name = "text", arguments = {text[18][1][1], 2100, 1355, text[18][1][2]} },
	{ name = "text", arguments = {text[18][2][1], 2100, 1455, text[18][2][2]} },
	{ name = "text", arguments = {text[18][3][1], 2100, 1555, text[18][3][2]} },
	{ name = "text", arguments = {text[18][4][1], 1300, 2900, text[18][4][2]} },
	{ name = "finish", arguments = {2100, 2100} },
	{ name = "player", arguments = {2100, 2900} }
}

levels[19] = {
	{ name = "wall", arguments = {0, 0, 3600, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1400} },
	{ name = "wall", arguments = {2600, 1000, 1000, 1400} },
	{ name = "wall", arguments = {0, 2400, 3600, 1000} },
	{ name = "wall", arguments = {1400, 1000, 800, 800} },
	{ name = "wall", arguments = {1000, 2200, 700, 200} },
	{ name = "wall", arguments = {1900, 2200, 700, 200} },
	{ name = "wall", arguments = {1300, 1200, 100, 100} },
	{ name = "wall", arguments = {2400, 1200, 100, 100} },
	{ name = "wall", arguments = {1200, 1300, 100, 100} },
	{ name = "wall", arguments = {2500, 1300, 100, 100} },
	{ name = "wall", arguments = {1000, 1400, 100, 100} },
	{ name = "wall", arguments = {2300, 1400, 100, 100} },
	{ name = "wall", arguments = {1100, 1500, 100, 100} },
	{ name = "wall", arguments = {2200, 1500, 100, 100} },
	{ name = "wall", arguments = {1300, 1600, 100, 100} },
	{ name = "wall", arguments = {2500, 1600, 100, 100} },
	{ name = "wall", arguments = {1200, 1800, 100, 100} },
	{ name = "wall", arguments = {1100, 1900, 100, 100} },
	{ name = "wall", arguments = {1300, 1900, 100, 100} },
	{ name = "wall", arguments = {2200, 1900, 100, 100} },
	{ name = "wall", arguments = {2400, 1900, 100, 100} },
	{ name = "wall", arguments = {2300, 2000, 100, 100} },
	{ name = "spark", arguments = {2250, 1350} },
	{ name = "spark", arguments = {2450, 1450} },
	{ name = "spark", arguments = {2550, 1450} },
	{ name = "spark", arguments = {2450, 1650} },
	{ name = "spark", arguments = {2350, 1650} },
	{ name = "spark", arguments = {2250, 1650} },
	{ name = "spark", arguments = {2550, 1950} },
	{ name = "spark", arguments = {2350, 2150} },
	{ name = "spark", arguments = {2250, 2050} },
	{ name = "spark", arguments = {1050, 1950} },
	{ name = "spark", arguments = {1050, 1850} },
	{ name = "spark", arguments = {1050, 1650} },
	{ name = "spark", arguments = {1150, 1650} },
	{ name = "spark", arguments = {1250, 1650} },
	{ name = "spark", arguments = {1150, 1350} },
	{ name = "spark", arguments = {1150, 1250} },
	{ name = "sizecircle", arguments = {2400, 1250, 45, 50, 45} },
	{ name = "sizecircle", arguments = {2550, 1300, 45, 50, 45} },
	{ name = "sizecircle", arguments = {2300, 1450, 45, 50, 45} },
	{ name = "sizecircle", arguments = {2300, 1550, 45, 50, 45} },
	{ name = "sizecircle", arguments = {2550, 1600, 45, 50, 45} },
	{ name = "sizecircle", arguments = {2450, 1900, 45, 50, 45} },
	{ name = "sizecircle", arguments = {2400, 2050, 45, 50, 45} },
	{ name = "sizecircle", arguments = {2600, 2200, 45, 50, 45} },
	{ name = "sizecircle", arguments = {2200, 1950, 45, 50, 45} },
	{ name = "sizecircle", arguments = {2100, 1800, 45, 50, 45} },
	{ name = "sizecircle", arguments = {2050, 1950, 45, 50, 45} },
	{ name = "sizecircle", arguments = {1800, 1850, 150, 200, 150} },
	{ name = "sizecircle", arguments = {1500, 1950, 45, 50, 45} },
	{ name = "sizecircle", arguments = {1450, 1800, 45, 50, 45} },
	{ name = "sizecircle", arguments = {1300, 1950, 45, 50, 45} },
	{ name = "sizecircle", arguments = {1300, 1850, 45, 50, 45} },
	{ name = "sizecircle", arguments = {1150, 2000, 45, 50, 45} },
	{ name = "sizecircle", arguments = {1000, 2200, 45, 50, 45} },
	{ name = "sizecircle", arguments = {1350, 1600, 45, 50, 45} },
	{ name = "sizecircle", arguments = {1100, 1550, 45, 50, 45} },
	{ name = "sizecircle", arguments = {1050, 1400, 45, 50, 45} },
	{ name = "sizecircle", arguments = {1300, 1350, 45, 50, 45} },
	{ name = "sizecircle", arguments = {1300, 1250, 45, 50, 45} },
	{ name = "text", arguments = {text[19][1][1], 2350, 1920, text[19][1][2]} },
	{ name = "text", arguments = {text[19][2][1], 1150, 1820, text[19][2][2]} },
	{ name = "text", arguments = {text[19][3][1], 1250, 1520, text[19][3][2]} },
	{ name = "text", arguments = {text[19][4][1], 1200, 1180, text[19][4][2]} },
	{ name = "finish", arguments = {1800, 2300} },
	{ name = "player", arguments = {2400, 1120} }
}

levels[20] = {
	{ name = "wall", arguments = {0, 0, 3800, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 4500} },
	{ name = "wall", arguments = {2800, 1000, 1000, 4500} },
	{ name = "wall", arguments = {0, 5500, 3800, 1000} },
	{ name = "wall", arguments = {1000, 1000, 700, 300} },
	{ name = "wall", arguments = {2100, 1000, 700, 300} },
	{ name = "wall", arguments = {1000, 1300, 800, 300} },
	{ name = "wall", arguments = {2000, 1300, 800, 1100} },
	{ name = "wall", arguments = {1600, 1600, 200, 250} },
	{ name = "wall", arguments = {1600, 1950, 200, 250} },
	{ name = "wall", arguments = {1000, 2200, 250, 200} },
	{ name = "wall", arguments = {1350, 2200, 450, 200} },
	{ name = "wall", arguments = {1600, 2400, 600, 250} },
	{ name = "wall", arguments = {1600, 2750, 600, 250} },
	{ name = "wall", arguments = {1000, 3000, 800, 200} },
	{ name = "wall", arguments = {2000, 3000, 450, 200} },
	{ name = "wall", arguments = {2550, 3000, 250, 200} },
	{ name = "wall", arguments = {1600, 3200, 600, 250} },
	{ name = "wall", arguments = {1600, 3550, 600, 250} },
	{ name = "wall", arguments = {1000, 3800, 250, 200} },
	{ name = "wall", arguments = {1350, 3800, 450, 200} },
	{ name = "wall", arguments = {2000, 3800, 800, 1700} },
	{ name = "wall", arguments = {1600, 4000, 200, 250} },
	{ name = "wall", arguments = {1600, 4350, 200, 250} },
	{ name = "wall", arguments = {1000, 4600, 800, 900} },
	{ name = "spark", arguments = {1900, 4913} },
	{ name = "spark", arguments = {1900, 4710} },
	{ name = "spark", arguments = {1900, 4510} },
	{ name = "spark", arguments = {1525, 4300} },
	{ name = "spark", arguments = {1495, 4495} },
	{ name = "spark", arguments = {1300, 4525} },
	{ name = "spark", arguments = {1105, 4495} },
	{ name = "spark", arguments = {1075, 4300} },
	{ name = "spark", arguments = {1235, 3625} },
	{ name = "spark", arguments = {1305, 3500} },
	{ name = "spark", arguments = {1425, 3435} },
	{ name = "spark", arguments = {1900, 3500} },
	{ name = "spark", arguments = {2275, 3500} },
	{ name = "spark", arguments = {2305, 3695} },
	{ name = "spark", arguments = {2500, 3725} },
	{ name = "spark", arguments = {2695, 3695} },
	{ name = "spark", arguments = {2725, 3500} },
	{ name = "spark", arguments = {2550, 2650} },
	{ name = "spark", arguments = {2625, 2575} },
	{ name = "spark", arguments = {2700, 2495} },
	{ name = "spark", arguments = {1900, 2700} },
	{ name = "spark", arguments = {1525, 2700} },
	{ name = "spark", arguments = {1495, 2895} },
	{ name = "spark", arguments = {1295, 2925} },
	{ name = "spark", arguments = {1105, 2895} },
	{ name = "spark", arguments = {1075, 2700} },
	{ name = "spark", arguments = {1105, 2505} },
	{ name = "spark", arguments = {1300, 2475} },
	{ name = "spark", arguments = {1100, 1850} },
	{ name = "spark", arguments = {1175, 1775} },
	{ name = "spark", arguments = {1250, 1700} },
	{ name = "sizecircle", arguments = {1900, 3800, 150, 200, 150} },
	{ name = "sizecircle", arguments = {1300, 4300, 150, 200, 150} },
	{ name = "sizecircle", arguments = {1475, 4125, 25, 75, 75} },
	{ name = "sizecircle", arguments = {1100, 3300, 150, 250, 150} },
	{ name = "sizecircle", arguments = {1425, 3625, 75, 125, 125} },
	{ name = "sizecircle", arguments = {2500, 3500, 150, 200, 150} },
	{ name = "sizecircle", arguments = {2325, 3325, 25, 75, 75} },
	{ name = "sizecircle", arguments = {2375, 2575, 50, 100, 50} },
	{ name = "sizecircle", arguments = {2375, 2825, 50, 100, 75} },
	{ name = "sizecircle", arguments = {2625, 2825, 50, 100, 100} },
	{ name = "sizecircle", arguments = {1300, 2700, 150, 200, 150} },
	{ name = "sizecircle", arguments = {1475, 2525, 25, 75, 75} },
	{ name = "sizecircle", arguments = {1175, 2025, 50, 100, 50} },
	{ name = "sizecircle", arguments = {1425, 2025, 50, 100, 75} },
	{ name = "sizecircle", arguments = {1425, 1775, 50, 100, 100} },
	{ name = "sizecircle", arguments = {1900, 2400, 150, 200, 150} },
	{ name = "movecircle", arguments = { {
		{2000, 3200},
		{1800, 3200},
		{1800, 3000},
		{2000, 3000}
	}, 75, 5} },
	{ name = "text", arguments = {text[20][1][1], 1900, 4300, text[20][1][2]} },
	{ name = "text", arguments = {text[20][2][1], 1300, 3820, text[20][2][2]} },
	{ name = "text", arguments = {text[20][3][1], 2500, 3020, text[20][3][2]} },
	{ name = "text", arguments = {text[20][4][1], 1300, 2220, text[20][4][2]} },
	{ name = "text", arguments = {text[20][5][1], 1900, 1900, text[20][5][2]} },
	{ name = "finish", arguments = {1900, 1150, true} },
	{ name = "player", arguments = {1900, 5120} }
}